@echo off
rem location where FioranoSOA is installed
SET installer_dir="D:/Work/Fiorano/10.3.3"
echo installer_dir=%installer_dir%

call %installer_dir%\fiorano_vars.bat
SET PATH=%PATH%;%FIORANO_HOME%/antscripts/lib;

echo Select one of the following:
echo 1. Register
echo 2. Reregister
echo 3. Deploy to Studio
echo 4. Unregister 
echo 5. Exit
SET Choice=
SET /P Choice=Enter a choice :
IF /I '%Choice%'=='1' GOTO register
IF /I '%Choice%'=='2' GOTO reregister
IF /I '%Choice%'=='3' GOTO deployToStudio
IF /I '%Choice%'=='4' GOTO unregister
IF /I '%Choice%'=='5' GOTO end
GOTO end

:deployToStudio
call ant deployToStudio
GOTO end

:register
call ant register
GOTO end

:reregister
call ant reregister
GOTO end

:unregister
call ant unregister
GOTO end

:end
pause